Scusa ma il codice seguente, che mi servirebbe per rilevare il baricentro di un solido, mi da come risultato sulla riga di comando: 0.0.0.0.0
(defun C:ba (/ FR x y z txt Peso Nomefile)
(setq Nomefile "C:/Users/Salvatore/MassProp.mpr")
(setq Ent (car (entsel "\nSeleziona solido: ")))
(command "_massprop" Ent "" "_Y" Nomefile)
(if (/= (findfile Nomefile) nil)
(progn
(setq FR (open Nomefile "r"))
(repeat 9
(setq txt (read-line FR))
)
(setq x (atof (substr txt 26)))
(setq txt (read-line FR))
(setq y (atof (substr txt 26)))
(setq txt (read-line FR))
(setq z (atof (substr txt 26)))
(close FR)
(vl-file-delete Nomefile)
(list x y z)
)
(alert "Problema con la creazione del file")
)
)